# node.h File Reference

Template Header. More...

`#include <sigc++/signal.h>`
`#include <set>`
`#include "time.h"`
`#include "guid.h"`
`#include <ETL/handle>`
`#include "interpolation.h"`
`#include "mutex.h"`

Go to the source code of this file.

## Namespaces

namespace | synfig

## Classes

class | synfig::TimePoint
class | synfig::TimePointSet
class | synfig::Node

## Defines

#define | ADJUST_WAYPOINTS_FOR_TIME_OFFSET

## Typedefs

typedef etl::handle< Node > | synfig::NodeHandle

## Functions

TimePoint | synfig::operator+ (TimePoint lhs, const Time &rhs)
TimePoint | synfig::operator- (TimePoint lhs, const Time &rhs)
bool | synfig::operator< (const TimePoint &lhs, const TimePoint &rhs)
bool | synfig::operator< (const TimePoint &lhs, const Time &rhs)
bool | synfig::operator< (const Time &lhs, const TimePoint &rhs)
bool | synfig::operator== (const TimePoint &lhs, const TimePoint &rhs)
bool | synfig::operator!= (const TimePoint &lhs, const TimePoint &rhs)
synfig::Node * | synfig::find_node (const synfig::GUID &guid)
template<typename T>
etl::handle< T > | synfig::guid_cast (const synfig::GUID &guid)

## Detailed Description

Template Header.

$Id$

## Define Documentation

#define ADJUST_WAYPOINTS_FOR_TIME_OFFSET

Referenced by synfig::Layer_PasteCanvas::get_times_vfunc().